Subject: Re: 2.5 and serial console

From: Benjamin Herrenschmidt <[email-masked]>
Date: 16 Aug 2003 01:46:29 +0200

On Fri, 2003-08-15 at 23:48, Olaf Hering wrote:
>  On Wed, May 07, Tom Rini wrote:
>
> > > I had serial console set. Maybe I screwed my config while hunting for a
> > > workaround.
> > > [*] Support for PowerMac serial ports
> > > [*]   Support for console on serial port
> >
> > Well that explains it then.  The pmac code is bad and still uses
> > CONFIG_SERIAL_CONSOLE.  It needs to be changed, at a miniumum to
> > CONFIG_SERIAL_PMAC_CONSOLE, and the driver really should be ported to
> > the new serial backend.
>
> I'm not the one who can port the driver, but this patch makes it useable
> for me.

The driver has been ported in my tree, I'll send it to Linus rsn, that
is once Linus has merged some other pending patches and I've had time
to test it on a few more configurations.

Also, my current port enables the serial console a bit late, I want to
fix that as well.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/